Orders report
curl --request GET \
--url https://api.byblend.com/api/v1/reports/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/reports/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/reports/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date_range": "2025-01-01 to 2025-01-31",
"total_orders": 179,
"orders_by_status": [
{
"status": "received",
"count": 23
},
{
"status": "data_entry",
"count": 19
},
{
"status": "shipped",
"count": 46
}
],
"orders_by_product": {
"prescription": [
{
"name": "Rapamycin 100mg",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"count": 920
}
],
"non_prescription": [
{
"name": "PABA-free sunscreen",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"count": 412
}
],
"order_material": [
{
"name": "Q4 2025 information packet",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"count": 550
}
]
}
}Reports
Orders report
Retrieve a report of orders by date range and status.
GET
/
api
/
v1
/
reports
/
orders
Orders report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date of the date range to report on
Example:
"2025-01-01"
End date of the date range to report on
Example:
"2025-01-31"
Optional parameter to specify which fields to return in the report (status, count, products). Separate multiple fields with commas.
Example:
"status,count"
⌘I